> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a verification

> This endpoint reads a customer's verification process.



## OpenAPI

````yaml /openapi/api-production.yaml get /customers/{id}/verifications/{verificationId}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /customers/{id}/verifications/{verificationId}:
    get:
      tags:
        - Customers
      summary: Read a verification
      description: This endpoint reads a customer's verification process.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
        - name: verificationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Verification's unique identifier.
      responses:
        '200':
          description: Resource successfully retrieved.
          content:
            application/json:
              examples:
                Business:
                  $ref: '#/components/examples/CustomerVerificationBusinessResponse'
              schema:
                $ref: '#/components/schemas/CustomerVerificationResponse'
      security:
        - apiKey: []
components:
  examples:
    CustomerVerificationBusinessResponse:
      value:
        customerId: c85cb5ef-0574-4450-806d-195944f1e309
        status: NOT_STARTED
        level: STANDARD
        statusReason:
          rejectLabels:
            - screenshot
            - unsatisfactory_photos
          rejectSubLabels:
            - proofOfAddress_listOfDocs
            - badPhoto
          documents:
            - type: PASSPORT
              status: TEMPORARY_REJECTION
              comment: >-
                Screenshots aren't accepted. Please upload a live photo of the
                document.
              rejectLabels:
                - screenshot
                - unsatisfactory_photos
  schemas:
    CustomerVerificationResponse:
      type: object
      properties:
        customerId:
          type: string
          description: Customer's unique identifier.
          format: uuid
        status:
          type: string
          description: Customer verification's status.
          enum:
            - NOT_STARTED
            - UNDER_VERIFICATION
            - APPROVED
            - TEMPORARY_REJECTION
            - FINAL_REJECTION
          example: NOT_STARTED
        level:
          type: string
          description: Customer verification's level.
          example: STANDARD
          enum:
            - STANDARD
        statusReason:
          type: object
          description: Customer verification's status reason.
          properties:
            rejectLabels:
              type: array
              description: Status reason reject labels.
              example:
                - screenshot
                - unsatisfactory_photos
            rejectSubLabels:
              type: array
              description: Status reason reject sub labels.
              example:
                - proofOfAddress_listOfDocs
                - badPhoto
                - proofOfAddress
                - differentDocs
                - badPhoto_screenshot
            documents:
              type: array
              description: Status reason documents that were rejected.
              items:
                type: object
                properties:
                  type:
                    type: string
                    description: Document type.
                    enum:
                      - ID_CARD
                      - PASSPORT
                      - DRIVERS_LICENSE
                      - UTILITY_BILL
                      - INCORPORATION_ARTICLES
                      - PROOF_OF_ADDRESS
                    example: PASSPORT
                  status:
                    type: string
                    description: Document status.
                    enum:
                      - PENDING
                      - APPROVED
                      - TEMPORARY_REJECTION
                      - FINAL_REJECTION
                    example: TEMPORARY_REJECTION
                  comment:
                    type: string
                    description: Document comment.
                    example: >-
                      Screenshots aren't accepted. Please upload a live photo of
                      the document.
                  rejectLabels:
                    type: array
                    description: Document reject labels.
                    example:
                      - screenshot
                      - unsatisfactory_photos
              example:
                - type: PASSPORT
                  status: TEMPORARY_REJECTION
                  comment: >-
                    Screenshots aren't accepted. Please upload a live photo of
                    the document.
                  rejectLabels:
                    - screenshot
                    - unsatisfactory_photos
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````